org.gcube.dataanalysis.dataminer.poolmanager.rest

## Interface PoolManager

All Known Implementing Classes:
  RestPoolManager

    public interface PoolManager

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `addAlgorithmToHost(Algorithm algo, String host, boolean test)`
`String` `addAlgorithmToVRE(Algorithm algo, String vre, boolean test)`
`void` `addAlgToIs(Algorithm algo)`
`Algorithm` `extractAlgorithm(String url)`
`Set<Algorithm>` `getAlgoFromIs()`
`String` `getLogById(String logId)`
`void` `getLogId(Algorithm algo, String vre)`
`String` `getScriptFromURL(URL logId)`
`URL` `getURLfromWorkerLog(String logUrl)`
`String` `publishAlgorithm(String algorithmPackageURL, String targetVREToken, String targetVRE)`
`String` `stageAlgorithm(String algorithmPackageURL)`
`List<String>` `updateSVN(String file, List<String> ldep)`

### Method Detail

#### addAlgorithmToVRE

    String addAlgorithmToVRE(Algorithm algo,
                             String vre,
                             boolean test)
                      throws IOException,
                             InterruptedException

Throws:
  `IOException`
  `InterruptedException`

#### addAlgorithmToHost

    String addAlgorithmToHost(Algorithm algo,
                              String host,
                              boolean test)
                       throws IOException,
                              InterruptedException

Throws:
  `IOException`
  `InterruptedException`

#### stageAlgorithm

    String stageAlgorithm(String algorithmPackageURL)
                   throws IOException,
                          InterruptedException

Throws:
  `IOException`
  `InterruptedException`

#### publishAlgorithm

    String publishAlgorithm(String algorithmPackageURL,
                            String targetVREToken,
                            String targetVRE)
                     throws IOException,
                            InterruptedException

Throws:
  `IOException`
  `InterruptedException`

#### extractAlgorithm

    Algorithm extractAlgorithm(String url)
                        throws IOException

Throws:
  `IOException`

#### getLogById

    String getLogById(String logId)
               throws IOException

Throws:
  `IOException`

#### getLogId

    void getLogId(Algorithm algo,
                  String vre)

#### getScriptFromURL

    String getScriptFromURL(URL logId)
                     throws IOException

Throws:
  `IOException`

#### getURLfromWorkerLog

    URL getURLfromWorkerLog(String logUrl)
                     throws MalformedURLException,
                            UnknownHostException

Throws:
  `MalformedURLException`
  `UnknownHostException`

#### addAlgToIs

    void addAlgToIs(Algorithm algo)

#### getAlgoFromIs

    Set<Algorithm> getAlgoFromIs()

#### updateSVN

    List<String> updateSVN(String file,
                           List<String> ldep)
                    throws org.tmatesoft.svn.core.SVNException,
                           IOException

Throws:
  `org.tmatesoft.svn.core.SVNException`
  `IOException`